# VtqBufferReader Class

Namespace: `ArchestrA.Toolkit`

VtqBufferReader class reads the run-time data of an attribute which is passed as a second argument in the constructor. VtqBufferReader class is derived from IEnumerable, which allows it to be used in a C# foreach statement.

**Syntax**

```csharp
public class VtqBufferReader : IEnumerable, IDisposable
```

## VtqBufferReader Constructor

## VtqBufferReader Method

### GetEnumerator Method

GetEnumerator returns an enumerator of ValueTimeQuality (VTQ). This function is called implicitly via the C# foreach syntax and provides a standard implementation of IEnumerator.

**Syntax**

```csharp
public virtual IEnumerator GetEnumerator();
```
